# Update

Launch stage: GA

`PATCH /api/2.1/unity-catalog/catalogs/{name_arg}`

Updates the catalog that matches the supplied name.
 The caller must be either the owner of the catalog, or a metastore admin (when changing the owner field of the catalog).

API scopes: unity-catalog

## Path parameters

- `name_arg` (string, optional)
  The name of the catalog.

## Request body

- `new_name` (string, optional)
  New name for the catalog.
- `name` (string, optional)
  Name of catalog.
- `owner` (string, optional)
  Username of current owner of catalog.
- `comment` (string, optional)
  User-provided free-form text description.
- `storage_root` (string, optional)
  Storage root URL for managed tables within catalog.
- `enable_predictive_optimization` (string, optional)
  Whether predictive optimization should be enabled for this object and objects under it.
- `catalog_type` (string, optional)
  Possible values: `MANAGED_CATALOG`, `DELTASHARING_CATALOG`, `SYSTEM_CATALOG`, `INTERNAL_CATALOG`, `FOREIGN_CATALOG`, `MANAGED_ONLINE_CATALOG`
- `provider_name` (string, optional)
  The name of delta sharing provider.
  
   A Delta Sharing catalog is a catalog that is based on a Delta share on a remote sharing server.
- `share_name` (string, optional)
  The name of the share under the share provider.
- `connection_name` (string, optional)
  The name of the connection to an external data source.
- `metastore_id` (string, optional)
  Unique identifier of parent metastore.
- `created_at` (int64, optional)
  Time at which this catalog was created, in epoch milliseconds.
- `created_by` (string, optional)
  Username of catalog creator.
- `updated_at` (int64, optional)
  Time at which this catalog was last modified, in epoch milliseconds.
- `updated_by` (string, optional)
  Username of user who last modified catalog.
- `storage_location` (string, optional)
  Storage Location URL (full path) for managed tables within catalog.
- `isolation_mode` (string, optional)
  Whether the current securable is accessible from all workspaces or a specific set of workspaces.
  Possible values: `OPEN`, `ISOLATED`
- `effective_predictive_optimization_flag` (object, optional)
  - `value` (string, optional)
    Whether predictive optimization should be enabled for this object and objects under it.
  - `inherited_from_type` (string, optional)
    The type of the object from which the flag was inherited. If there was no inheritance, this field is left blank.
  - `inherited_from_name` (string, optional)
    The name of the object from which the flag was inherited. If there was no inheritance, this field is left blank.
- `browse_only` (boolean, optional)
  Indicates whether the principal is limited to retrieving metadata for the associated object through the BROWSE privilege when include_browse is enabled in the request.
- `provisioning_info` (object, optional)
  - `state` (string, optional)
    The provisioning state of the resource.
    Possible values: `STATE_UNSPECIFIED`, `PROVISIONING`, `ACTIVE`, `FAILED`, `DELETING`, `UPDATING`, `DEGRADED`
- `full_name` (string, optional)
  The full name of the catalog. Corresponds with the name field.
- `securable_type` (string, optional)
  Possible values: `CATALOG`, `SCHEMA`, `TABLE`, `STORAGE_CREDENTIAL`, `EXTERNAL_LOCATION`, `FUNCTION`, `SHARE`, `PROVIDER`, `RECIPIENT`, `CLEAN_ROOM`, `METASTORE`, `PIPELINE`, `VOLUME`, `CONNECTION`, `CREDENTIAL`, `EXTERNAL_METADATA`, `STAGING_TABLE`
  Default: `CATALOG`
- `custom_max_retention_hours` (int64, optional, Public Preview)
  Custom maximum retention period in hours for the catalog
- `managed_encryption_settings` (object, optional)
  Control CMK encryption for managed catalog data
  - `customer_managed_key_id` (string, optional)
    the CMK uuid in AWS and GCP, null otherwise.
  - `azure_key_vault_key_id` (string, optional)
    the AKV URL in Azure, null otherwise.
  - `azure_encryption_settings` (object, optional)
    optional Azure settings - only required if an Azure CMK is used.
    - `azure_tenant_id` (string, optional)
    - `azure_cmk_access_connector_id` (string, optional)
    - `azure_cmk_managed_identity_id` (string, optional)
- `properties` (object, optional)
  A map of key-value properties attached to the securable.
- `options` (object, optional)
  A map of key-value properties attached to the securable.

## Returns

Returns the CatalogInfo object.

## Response

```json
{
  "name": "string",
  "owner": "string",
  "comment": "string",
  "storage_root": "string",
  "enable_predictive_optimization": "string",
  "catalog_type": "string",
  "provider_name": "string",
  "share_name": "string",
  "connection_name": "string",
  "metastore_id": "string",
  "created_at": 0,
  "created_by": "string",
  "updated_at": 0,
  "updated_by": "string",
  "storage_location": "string",
  "isolation_mode": "string",
  "effective_predictive_optimization_flag": {
    "value": "string",
    "inherited_from_type": "string",
    "inherited_from_name": "string"
  },
  "browse_only": true,
  "provisioning_info": {
    "state": "string"
  },
  "full_name": "string",
  "securable_type": "string",
  "custom_max_retention_hours": 0,
  "managed_encryption_settings": {
    "customer_managed_key_id": "string",
    "azure_key_vault_key_id": "string",
    "azure_encryption_settings": {}
  },
  "properties": {},
  "options": {}
}
```

